# Class JmolAudio

java.lang.Object
org.jmol.util.JmolAudio

All Implemented Interfaces:
  `EventListener, LineListener, JmolAudioPlayer`

public class JmolAudio extends Object implements LineListener, JmolAudioPlayer

## Constructor Summary

Constructors
Constructor
Description
`JmolAudio()`

## Method Summary

Modifier and Type
Method
Description
`void`
`action(String action)`
Execute an action from load audio "xxxxx.wav" filter "id=a1 action=xxx"
`void`
`playAudio(Viewer vwr, Map<String,Object> htParams)`
WAV only for application
`void`
`processUpdate(String type)`
In JavaScript, this is called directly from the page in response to events; in Java it is called from the audio player via update(LineEvent).
`void`
`update(LineEvent le)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmolAudio

public JmolAudio()

## Method Details

### playAudio

public void playAudio(Viewer vwr, Map<String,Object> htParams)
WAV only for application

Parameters:
  `vwr` -
  `htParams` -

### update

public void update(LineEvent le)

Specified by:
  `update` in interface `LineListener`

### processUpdate

public void processUpdate(String type)
In JavaScript, this is called directly from the page in response to events; in Java it is called from the audio player via update(LineEvent).

Specified by:
  `processUpdate` in interface `JmolAudioPlayer`
Parameters:
  `type` -

### action

public void action(String action)
Execute an action from load audio "xxxxx.wav" filter "id=a1 action=xxx"

Specified by:
  `action` in interface `JmolAudioPlayer`
Parameters:
  `action` - start -- back to the beginning and olay loop -- loop indefinitely (JavaScript) or up to 10 times (Java) and play play -- start from current position; opposite of PAUSE pause -- opposite of PLAY (not implemented: position-nn reposition to nnn ms) close -- close player